package com.mortals.xhx.module.platform.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.platform.model.PlatformQuery;
import com.mortals.xhx.tools.uid.ISeqGeneratorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.platform.dao.PlatformDao;
import com.mortals.xhx.module.platform.model.PlatformEntity;
import com.mortals.xhx.module.platform.service.PlatformService;
import org.springframework.util.ObjectUtils;

import java.util.List;

/**
 * <p>Title: 平台用户</p>
 * <p>Description: PlatformService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 *
 * @version 1.0.0
 */
@Service("platformService")
public class PlatformServiceImpl extends AbstractCRUDServiceImpl<PlatformDao, PlatformEntity, Long> implements PlatformService {
    @Autowired
    private ISeqGeneratorService seqGeneratorService;

    @Override
    protected void saveBefore(PlatformEntity entity, Context context) throws AppException {

        long num = seqGeneratorService.nextOrderId(1023);

        super.saveBefore(entity, context);
    }



}